curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/simplifiedCustomer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "AMLYZE_TEST",
"businessUnit": "sandbox",
"riskManagementCategory": "IND_OCCASIONAL",
"entityType": "INDIVIDUAL",
"customerExtId": "IND20231117538",
"firstName": "Tony",
"lastName": "Mikelangelo"
}
'{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "CommunicationNumber already used in AMLYZE"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/simplifiedCustomer"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Simplified customer import
This section provides information on how to generate a Simplified Customer for individuals or organizations.
curl --request POST \
--globoff \
--url 'https://{{baseUrl}}/amlyze-ws-rest/simplifiedCustomer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
"requester": "AMLYZE_TEST",
"businessUnit": "sandbox",
"riskManagementCategory": "IND_OCCASIONAL",
"entityType": "INDIVIDUAL",
"customerExtId": "IND20231117538",
"firstName": "Tony",
"lastName": "Mikelangelo"
}
'{
"errorCode": "<string>",
"errorDescription": "<string>",
"resultType": "REQUEST_ACCEPTED"
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "CommunicationNumber already used in AMLYZE"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/simplifiedCustomer"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Authorizations
Body
Customer's predefined status represents the current standing or state of a customer's relationship with a business or organization.
PENDING- Customer application is received but not yet prepared for upcoming workflowACTIVE- Customer is onboarded and ready for workflowREJECTED- the customer was rejected before account was openedSUSPENDED- Customer's activities for some reasons are restrictedCLOSED- Customer's profile is disabled
ACTIVE, CLOSED, PENDING, REJECTED, SUSPENDED Type of the customer. INDIVIDUAL represents a natural person; ORGANIZATION represents a legal entity such as a company, partnership, or foundation.
â This value drives conditional field requirements:
INDIVIDUALrequiresfirstName,lastNameORGANIZATIONrequirestitle
Fields specific to the other entity type are not allowed. See each affected field's description for its individual constraint.
INDIVIDUAL, ORGANIZATION National code or national identification number of individual. If a country does not issue national code, any other unique identifier can be used: Passport number, Social security number of person, A number of taxpayer or registration certificate of the company, etc.
100